// ウィジェット内部XML用

function ActorTips() {
	var obj = document.getElementById("words");
	obj.setAttribute("style", "white-space:pre;width:null;cursor:default;");
	return this;
}

ActorTips.prototype = {
	nodeList : null,

	//boolean isShow : 読み込み後、台詞表示をするか
	initSection:function (isShow) {
		var obj = document.getElementById("section");
		this.requestFile( obj.value+".xml", isShow);
	},

	// 終了前処理
	removeActor:function () {
		// 今のところ、特になし
	},

	// 台詞の更新
	dialog :function () {
		if ( !this.nodeList ) return;
		var pNo = Math.floor(Math.random()*this.nodeList.length);
		
		// 表情の設定
		var att = this.nodeList[pNo].getAttribute("action");
		if (att == null) att = "idle";
		updateImg(att);
		// 台詞の設定
		document.getElementById("words").innerText = this.nodeList[pNo].firstChild.nodeValue;
		
		// 要素の削除
		this.nodeList[pNo].parentNode.removeChild(this.nodeList[pNo]);
		if (this.nodeList.length == 0) this.initSection(false);
	},

	//ファイルにアクセスし受信内容を確認
	// isShowは読み込み後、台詞を表示するか
	requestFile:function (fileName,isShow) {
		this.nodeList = null;
		//XMLHttpRequestオブジェクト生成
		var httpObj = new XMLHttpRequest();
		
		// onloadの中はthisが呼び出し元(window)になるので
		// このオブジェクトへの参照として、selfを用意しておく。
		var self = this;
		// 受信完了イベント
		httpObj.onload = function () { 
			self.nodeList  = httpObj.responseXML.getElementsByTagName("p");
			if (isShow) self.dialog();
		}
		
		// 開いて
		httpObj.open("GET" , fileName , true);
		httpObj.send(null);
	}
}
